package de.nbscloud.webcontainer.registry;

public interface App {
    // New app:
    //  1) Create module
    //  2) Add dependencies (like other app modules)
    //  3) Register module in web-container module
    //  4) Add module to dependency management in aggregator pom
    //  5) Add module package to web-container application @ComponentScan

    String getId();

    String getIcon();

    String getStartPath();

    int getIndex();
}
